Profit and Loss
curl --request POST \
--url https://sandbox.tight.com/v6/reports/profitAndLoss \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipients": {
"emails": [
"jsmith@example.com"
]
},
"filter": {
"beginDate": "2025-01-01",
"endDate": "2025-12-31",
"dimensionValues": [
{
"dimensionId": "tdim_439512",
"dimensionValueIds": [
"<string>"
]
}
],
"customerIds": [
"<string>"
]
},
"grouping": {
"period": "MONTHLY",
"dimensionId": "tdim_439512"
}
}
'import requests
url = "https://sandbox.tight.com/v6/reports/profitAndLoss"
payload = {
"recipients": { "emails": ["jsmith@example.com"] },
"filter": {
"beginDate": "2025-01-01",
"endDate": "2025-12-31",
"dimensionValues": [
{
"dimensionId": "tdim_439512",
"dimensionValueIds": ["<string>"]
}
],
"customerIds": ["<string>"]
},
"grouping": {
"period": "MONTHLY",
"dimensionId": "tdim_439512"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipients: {emails: ['jsmith@example.com']},
filter: {
beginDate: '2025-01-01',
endDate: '2025-12-31',
dimensionValues: [{dimensionId: 'tdim_439512', dimensionValueIds: ['<string>']}],
customerIds: ['<string>']
},
grouping: {period: 'MONTHLY', dimensionId: 'tdim_439512'}
})
};
fetch('https://sandbox.tight.com/v6/reports/profitAndLoss', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "SUCCESS",
"data": {
"json": [
{
"name": "2025-07-01 to 2025-12-03",
"period": {
"beginDate": "2025-07-01",
"endDate": "2025-12-03"
},
"data": [
{
"name": "Engineering",
"netIncome": 1997089,
"income": {
"name": "Income",
"total": 6438616,
"children": [
{
"name": "Services Income",
"accountId": "gla_167242985",
"accountNo": "41000",
"total": 6438616
}
]
},
"cogs": {
"name": "Cost of Services/Goods Sold",
"total": 8066,
"children": [
{
"name": "Merchandise COGS",
"accountId": "gla_167242995",
"accountNo": "55020",
"total": 8066
}
]
},
"grossProfit": 6430550,
"profitMargin": 99.87,
"expenses": {
"name": "Expenses",
"total": 4572517,
"children": [
{
"name": "Automobile Expenses (not deductible if taking Mileage Deduction)",
"accountId": "gla_167242999",
"accountNo": "60020",
"total": 36033
},
{
"name": "Business Licenses, Permits and Generic Taxes",
"accountId": "gla_167243002",
"accountNo": "60040",
"total": 20380
},
{
"name": "Commissions and Fees",
"accountId": "gla_167243005",
"accountNo": "60060",
"total": 146597
},
{
"name": "Noncap. Computers, Mobile Devices, Servers and Related Hardware",
"accountId": "gla_167243006",
"accountNo": "60070",
"total": -4559
},
{
"name": "Dues and Subscriptions",
"accountId": "gla_167243011",
"accountNo": "60110",
"total": 53938
},
{
"name": "Insurance Expense",
"accountId": "gla_167243013",
"accountNo": "60130",
"total": 18380
},
{
"name": "Interest Expense",
"accountId": "gla_167243014",
"accountNo": "60140",
"total": 2894
},
{
"name": "Local Meals and Entertainment (50% Deductible)",
"accountId": "gla_167243015",
"accountNo": "60150",
"total": 1341829
},
{
"name": "Local Meals and Entertainment (100% Deductible)",
"accountId": "gla_167243016",
"accountNo": "60155",
"total": 96701
},
{
"name": "Office Supplies",
"accountId": "gla_167243018",
"accountNo": "60170",
"total": 22333
},
{
"name": "Postage and Delivery",
"accountId": "gla_167243027",
"accountNo": "60230",
"total": 599
},
{
"name": "Rent Expense (Property)",
"accountId": "gla_167243031",
"accountNo": "60270",
"total": 1875000
},
{
"name": "Supplies",
"accountId": "gla_167243034",
"accountNo": "60295",
"total": 2746
},
{
"name": "Travel Expenses (excl. Meals)",
"accountId": "gla_167243036",
"accountNo": "60310",
"total": 250114
},
{
"name": "Utilities",
"accountId": "gla_167243038",
"accountNo": "60330",
"total": 149977
},
{
"name": "Uncategorized Expenses",
"accountId": "gla_167243043",
"accountNo": "65000",
"total": 559555
}
]
},
"netOperatingIncome": 1858033,
"operatingMargin": 28.86,
"otherIncome": {
"name": "Other Income",
"total": 140000,
"children": [
{
"name": "Other/Miscellaneous Income",
"accountId": "gla_167243048",
"accountNo": "74000",
"total": 140000
}
]
},
"otherExpenses": {
"name": "Other Expenses",
"total": 944,
"children": [
{
"name": "Penalties, Interest and Settlements",
"accountId": "gla_167243051",
"accountNo": "82000",
"total": 944
}
]
}
}
]
}
],
"meta": {
"title": "Profit and Loss",
"generatedOn": "2025-12-03T10:30:00",
"generatedBy": "Joe LaForgia",
"footerLine": "Generated on 12/03/2025 at 7:45:55 PM by Joseph LaForgia"
}
},
"error": []
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Reports
Profit and Loss
Generate a Profit and Loss Statement
POST
/
v6
/
reports
/
profitAndLoss
Profit and Loss
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Export format for the report
Available options:
JSON, CSV Email recipients for the report
Show child attributes
Show child attributes
Accounting method to generate the report in. Defaults to the company's configured accounting method.
Available options:
ACCRUAL, CASH Filters to apply to the report
Show child attributes
Show child attributes
Grouping options for the report
Show child attributes
Show child attributes
⌘I